gvm_json_pull_parser_t Struct Reference

A json pull parser. More...

`#include <jsonpull.h>`

## Data Fields

GQueue * | path
| Path to the current value.
gvm_json_path_elem_t * | path_add
| Path elem to add in next step.
gvm_json_pull_expect_t | expect
| Current expected token.
int | keyword_pos
| Position in a keyword like "true" or "null".
FILE * | input_stream
| Input stream.
char * | read_buffer
| Stream reading buffer.
size_t | read_buffer_size
| Size of the stream reading buffer.
size_t | last_read_size
| Size of last stream read.
int | last_read_char
| Character last read from stream.
size_t | read_pos
| Position in current read.
GString * | parse_buffer
| Buffer for parsing values and object keys.
size_t | parse_buffer_limit
| Maximum parse buffer size.

## Detailed Description

A json pull parser.

## Field Documentation

## expect

gvm_json_pull_expect_t gvm_json_pull_parser_t::expect

Current expected token.

## input_stream

FILE* gvm_json_pull_parser_t::input_stream

Input stream.

## keyword_pos

int gvm_json_pull_parser_t::keyword_pos

Position in a keyword like "true" or "null".

## last_read_char

int gvm_json_pull_parser_t::last_read_char

Character last read from stream.

## last_read_size

size_t gvm_json_pull_parser_t::last_read_size

Size of last stream read.

## parse_buffer

GString* gvm_json_pull_parser_t::parse_buffer

Buffer for parsing values and object keys.

## parse_buffer_limit

size_t gvm_json_pull_parser_t::parse_buffer_limit

Maximum parse buffer size.

## path

GQueue* gvm_json_pull_parser_t::path

Path to the current value.

## path_add

gvm_json_path_elem_t* gvm_json_pull_parser_t::path_add

Path elem to add in next step.

## read_buffer

char* gvm_json_pull_parser_t::read_buffer

Stream reading buffer.

## read_buffer_size

size_t gvm_json_pull_parser_t::read_buffer_size

Size of the stream reading buffer.

## read_pos

size_t gvm_json_pull_parser_t::read_pos

Position in current read.

The documentation for this struct was generated from the following file:

- util/jsonpull.h